//---------------------------------------------------------------------------

#ifndef ConfigH
#define ConfigH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBCtrls.hpp>
#include <DBGrids.hpp>
#include <DBTables.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TConfigForm : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TTabSheet *TabSheet3;
        TTabSheet *TabSheet5;
        TEdit *SaupED1;
        TLabel *Label1;
        TLabel *Label2;
        TEdit *SaupED2;
        TEdit *SaupED3;
        TLabel *Label3;
        TLabel *Label4;
        TEdit *SaupED4;
        TEdit *SaupED5;
        TLabel *Label5;
        TCheckBox *CheckBox1;
        TCheckBox *CheckBox2;
        TCheckBox *CheckBox3;
        TCheckBox *CheckBox4;
        TCheckBox *CheckBox5;
        TCheckBox *CheckBox6;
        TCheckBox *CheckBox7;
        TCheckBox *CheckBox8;
        TCheckBox *CheckBox9;
        TTabSheet *TabSheet4;
        TRadioGroup *YSuRG;
        TRadioGroup *PointSaveRG;
        TGroupBox *GroupBox1;
        TLabel *Label6;
        TEdit *CashED;
        TLabel *Label7;
        TEdit *CardED;
        TLabel *Label8;
        TLabel *Label9;
        TBitBtn *BitBtn3;
        TLabeledEdit *BaED;
        TLabeledEdit *GnED;
        TBitBtn *q_Bt;
        TBitBtn *w_Bt;
        TBitBtn *e_Bt;
        TBitBtn *r_Bt;
        TBitBtn *t_Bt;
        TBitBtn *y_Bt;
        TBitBtn *u_Bt;
        TBitBtn *i_Bt;
        TBitBtn *o_Bt;
        TBitBtn *p_Bt;
        TBitBtn *Sim1_Bt;
        TBitBtn *Sim2_Bt;
        TBitBtn *a_Bt;
        TBitBtn *s_Bt;
        TBitBtn *d_Bt;
        TBitBtn *f_Bt;
        TBitBtn *g_Bt;
        TBitBtn *h_Bt;
        TBitBtn *j_Bt;
        TBitBtn *k_Bt;
        TBitBtn *l_Bt;
        TBitBtn *Sim3_Bt;
        TBitBtn *Sim4_Bt;
        TBitBtn *z_Bt;
        TBitBtn *x_Bt;
        TBitBtn *c_Bt;
        TBitBtn *v_Bt;
        TBitBtn *b_Bt;
        TBitBtn *n_Bt;
        TBitBtn *m_Bt;
        TBitBtn *Sim5_Bt;
        TBitBtn *Sim6_Bt;
        TBitBtn *Sim7_Bt;
        TBitBtn *Plus_Bt;
        TLabel *Label10;
        TBitBtn *BitBtn38;
        TQuery *Query1;
        TDataSource *DataSource1;
        TListBox *ListBox1;
        void __fastcall q_BtClick(TObject *Sender);
        void __fastcall BitBtn38Click(TObject *Sender);
        void __fastcall w_BtClick(TObject *Sender);
        void __fastcall e_BtClick(TObject *Sender);
        void __fastcall r_BtClick(TObject *Sender);
        void __fastcall t_BtClick(TObject *Sender);
        void __fastcall y_BtClick(TObject *Sender);
        void __fastcall u_BtClick(TObject *Sender);
        void __fastcall i_BtClick(TObject *Sender);
        void __fastcall o_BtClick(TObject *Sender);
        void __fastcall p_BtClick(TObject *Sender);
        void __fastcall a_BtClick(TObject *Sender);
        void __fastcall s_BtClick(TObject *Sender);
        void __fastcall d_BtClick(TObject *Sender);
        void __fastcall f_BtClick(TObject *Sender);
        void __fastcall g_BtClick(TObject *Sender);
        void __fastcall h_BtClick(TObject *Sender);
        void __fastcall j_BtClick(TObject *Sender);
        void __fastcall k_BtClick(TObject *Sender);
        void __fastcall l_BtClick(TObject *Sender);
        void __fastcall z_BtClick(TObject *Sender);
        void __fastcall x_BtClick(TObject *Sender);
        void __fastcall c_BtClick(TObject *Sender);
        void __fastcall v_BtClick(TObject *Sender);
        void __fastcall b_BtClick(TObject *Sender);
        void __fastcall n_BtClick(TObject *Sender);
        void __fastcall m_BtClick(TObject *Sender);
        void __fastcall Sim1_BtClick(TObject *Sender);
        void __fastcall Sim2_BtClick(TObject *Sender);
        void __fastcall Sim3_BtClick(TObject *Sender);
        void __fastcall Sim4_BtClick(TObject *Sender);
        void __fastcall Sim5_BtClick(TObject *Sender);
        void __fastcall Sim6_BtClick(TObject *Sender);
        void __fastcall Sim7_BtClick(TObject *Sender);
        void __fastcall Plus_BtClick(TObject *Sender);
        void __fastcall ListBox1KeyPress(TObject *Sender, char &Key);
        void __fastcall BaEDKeyPress(TObject *Sender, char &Key);
        void __fastcall ListBox1DblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TConfigForm(TComponent* Owner);
        String FindData(String ba,String va);
};
//---------------------------------------------------------------------------
extern PACKAGE TConfigForm *ConfigForm;
//---------------------------------------------------------------------------
#endif
